Update .travis.yml, Gemfile, Rakefile, and CONTRIBUTING.md
authorColleen Murphy <colleen@puppetlabs.com>
Mon, 8 Dec 2014 18:33:44 +0000 (10:33 -0800)
committerColleen Murphy <colleen@puppetlabs.com>
Mon, 8 Dec 2014 18:33:44 +0000 (10:33 -0800)
.travis.yml
CONTRIBUTING.md
Gemfile

index c72d5e2..8cfaf23 100644 (file)
@@ -1,6 +1,6 @@
 ---
 language: ruby
-bundler_args: --without development
+bundler_args: --without system_tests
 script: "bundle exec rake spec SPEC_OPTS='--format documentation'"
 matrix:
   fast_finish: true
index e128847..f1cbde4 100644 (file)
@@ -41,11 +41,9 @@ Checklist (and a short version for the impatient)
 
     * Pre-requisites:
 
-      - Sign the [Contributor License Agreement](https://cla.puppetlabs.com/)
-
       - Make sure you have a [GitHub account](https://github.com/join)
 
-      - [Create a ticket](http://projects.puppetlabs.com/projects/modules/issues/new), or [watch the ticket](http://projects.puppetlabs.com/projects/modules/issues) you are patching for.
+      - [Create a ticket](https://tickets.puppetlabs.com/secure/CreateIssue!default.jspa), or [watch the ticket](https://tickets.puppetlabs.com/browse/) you are patching for.
 
     * Preferred method:
 
@@ -94,17 +92,7 @@ The long version
       whitespace or other "whitespace errors".  You can do this by
       running "git diff --check" on your changes before you commit.
 
-  2.  Sign the Contributor License Agreement
-
-      Before we can accept your changes, we do need a signed Puppet
-      Labs Contributor License Agreement (CLA).
-
-      You can access the CLA via the [Contributor License Agreement link](https://cla.puppetlabs.com/)
-
-      If you have any questions about the CLA, please feel free to
-      contact Puppet Labs via email at cla-submissions@puppetlabs.com.
-
-  3.  Sending your patches
+  2.  Sending your patches
 
       To submit your changes via a GitHub pull request, we _highly_
       recommend that you have them on a topic branch, instead of
@@ -124,7 +112,7 @@ The long version
       in order to open a pull request.
 
 
-  4.  Update the related GitHub issue.
+  3.  Update the related GitHub issue.
 
       If there is a GitHub issue associated with the change you
       submitted, then you should update the ticket to include the
@@ -220,14 +208,12 @@ review.
 Additional Resources
 ====================
 
-* [Getting additional help](http://projects.puppetlabs.com/projects/puppet/wiki/Getting_Help)
+* [Getting additional help](http://puppetlabs.com/community/get-help)
 
 * [Writing tests](http://projects.puppetlabs.com/projects/puppet/wiki/Development_Writing_Tests)
 
 * [Patchwork](https://patchwork.puppetlabs.com)
 
-* [Contributor License Agreement](https://projects.puppetlabs.com/contributor_licenses/sign)
-
 * [General GitHub documentation](http://help.github.com/)
 
 * [GitHub pull request documentation](http://help.github.com/send-pull-requests/)
diff --git a/Gemfile b/Gemfile
index e960f7c..0684f19 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -1,15 +1,17 @@
 source ENV['GEM_SOURCE'] || "https://rubygems.org"
 
-group :development, :test do
+group :development, :unit_tests do
   gem 'rake',                    :require => false
   gem 'rspec-puppet',            :require => false
   gem 'puppetlabs_spec_helper',  :require => false
-  gem 'serverspec',              :require => false
   gem 'puppet-lint',             :require => false
-  gem 'beaker',                  :require => false
-  gem 'beaker-rspec',            :require => false
-  gem 'pry',                     :require => false
   gem 'simplecov',               :require => false
+  gem 'puppet_facts',            :require => false
+end
+
+group :system_tests do
+  gem 'beaker-rspec',  :require => false
+  gem 'serverspec',    :require => false
 end
 
 if facterversion = ENV['FACTER_GEM_VERSION']